System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Xml.Serialization.XmlSerializationGeneratedCode

During initialization, the .NET Framework XML serialization infrastructure dynamically generates and compiles a temporary class for deserialization that is derived from the abstract class. is also implemented within the .NET Framework for deserialization of XML documents into and objects.

You should not derive classes from . Instead, call one of the methods.

Controls deserialization by the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'XmlSerializationReader+CollectionFixup' To be added To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'XmlSerializationReader+Fixup' To be added To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  During initialization, the .NET Framework XML serialization infrastructure dynamically generates and compiles a temporary class for deserialization that derives from . During this process, the .NET Framework generates read methods that implement the delegate. It does so for certain mappings between .NET Framework types and XML data types that are serialized through SOAP-encoded XML and are not root elements. Next, as necessary, a read method is called during deserialization.

  You should not directly create an instance of the class.

  Stores an implementation of the delegate and its input data for a later invocation.

  The name of the .NET Framework type that is being deserialized. The namespace of the .NET Framework type that is being deserialized. The to be deserialized. An delegate.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  SOAP encoding allows a unique XML element to appear once within a SOAP message as a multiRef element identified by an id attribute. The id value can be referenced multiple times by ref attributes (or href attributes in SOAP 1.1) in substitute elements.

  SOAP encoding is described in Section 5 of the SOAP 1.1 specification.

  Stores an object that is being deserialized from a SOAP-encoded multiRef element for later access through the method.

  The value of the id attribute of a multiRef element that identifies the element. The object that is deserialized from the XML element.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.String ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Removes all occurrences of white space characters from the beginning and end of the specified string.

  The trimmed string.

  The string that will have its white space trimmed.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Exception `` ``

  The protected members of are intended only for use by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Creates an that indicates that an object being deserialized should be abstract.

  An exception.

  The name of the abstract type. The .NET Framework namespace of the abstract type.
- Method
  2.0.0.0
  4.0.0.0
  System.Exception `` `` `` `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Populates an object from its XML representation at the current location of the , with an option to read the inner element.

  An exception.

  The local name of the derived XML Schema data type. The namespace of the derived XML Schema data type. The local name of the base XML Schema data type. The namespace of the base XML Schema data type. The namespace of the derived .NET Framework type. The name of the base .NET Framework type.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Exception ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Creates an that indicates that an object being deserialized cannot be instantiated because the constructor throws a security exception.

  An exception.

  The name of the type.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Exception ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Creates an that indicates that an object being deserialized cannot be instantiated because there is no constructor available.

  An exception.

  The name of the type.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Exception `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Creates an that indicates that an explicit reference conversion failed.

  An exception.

  The that an object cannot be cast to. This type is incorporated into the exception message. The object that cannot be cast. This object is incorporated into the exception message.
- Method
  2.0.0.0
  4.0.0.0
  System.Exception `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Creates an that indicates that an explicit reference conversion failed.

  An exception.

  The that an object cannot be cast to. This type is incorporated into the exception message. The object that cannot be cast. This object is incorporated into the exception message. A string identifier.
- Method
  2.0.0.0
  4.0.0.0
  System.Exception `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Creates an that indicates that a derived type that is mapped to an XML Schema data type cannot be located.

  An exception.

  The local name of the XML Schema data type that is mapped to the unavailable derived type. The namespace of the XML Schema data type that is mapped to the unavailable derived type. The full name of the .NET Framework base type for which a derived type cannot be located.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Exception ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Creates an that indicates that a SOAP-encoded collection type cannot be modified and its values cannot be filled in.

  An exception.

  The fully qualified name of the .NET Framework type for which there is a mapping.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Exception `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Creates an that indicates that an enumeration value is not valid.

  An exception.

  The enumeration value that is not valid. The enumeration type.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Exception

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Creates an that indicates that the current position of represents an unknown XML node.

  An exception.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Exception ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Creates an that indicates that a type is unknown.

  An exception.

  An that represents the name of the unknown type.
- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  The method writes valid XML from invalid sources. For example, the property of the class can contain spaces, which are invalid as XML. The reads the encoded XML and restores it to the original value. However, the method of the class cannot read such encoded XML. In that case, set the property to false to disable the encoding of the XML.

  Gets or sets a value that determines whether XML strings are translated into valid .NET Framework type names.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlDocument To be added: an object of type 'System.Xml.XmlDocument'

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Gets the XML document object into which the XML document is being deserialized.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Array `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Ensures that a given array, or a copy, is large enough to contain a specified index.

  The existing , if it is already large enough; otherwise, a new, larger array that contains the original array's elements.

  The that is being checked. The required index. The of the array's elements.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The method implements the delegate for deserialization of SOAP-encoded XML data.

  While deserializing XML documents into .NET Framework objects, the .NET Framework XML serialization infrastructure dynamically creates an instance of the method for SOAP-encoded arrays whose data types map to .NET Framework reference types. The method then is called by to fill in the objects in the array.

  SOAP encoding is described in Section 5 of the SOAP 1.1 specification.

  Fills in the values of a SOAP-encoded array whose data type maps to a .NET Framework reference type.

  An object that contains the array whose values are filled in.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The method applies to the arrayType attribute that is used with SOAP encoding and specified with the namespace "http://schemas.xmlsoap.org/soap/encoding/".

  Gets the length of the SOAP-encoded array where the is currently positioned.

  The length of the SOAP array.

  The local name that the array should have. The namespace that the array should have.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Determines whether the XML element where the is currently positioned has a null attribute set to the value true.

  true if is currently positioned over a null attribute with the value true; otherwise, false.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  SOAP encoding allows a unique XML element to appear once within a SOAP message as a multiRef element identified by an id attribute. The id value can be referenced multiple times using href attributes (or ref attributes in SOAP 1.2) in substitute elements. SOAP encoding is described in Section 5 of the SOAP 1.1 specification.

  Gets an object that is being deserialized from a SOAP-encoded multiRef element and that was stored earlier by .

  An object to be deserialized from a SOAP-encoded multiRef element.

  The value of the id attribute of a multiRef element that identifies the element.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlQualifiedName

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The type attribute from the instance of the XML Schema namespace explicitly specifies the data type of an XML element.

  Gets the value of the xsi:type attribute for the XML element at the current location of the .

  An XML qualified name that indicates the data type of an XML element.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  During initialization, the .NET Framework XML serialization infrastructure dynamically generates and compiles a temporary class for deserialization that is derived from . During this process, the .NET Framework generates read methods that implement the delegate. It does so for certain mappings between .NET Framework types and XML data types that are serialized through SOAP-encoded XML and are not root elements. Next, as necessary, a read method is called during deserialization.

  The abstract method is where the temporary derived class creates an instance of and initializes read callback methods.

  You should not directly create an instance of .

  SOAP encoding is described in Section 5 of the SOAP 1.1 specification.

  Initializes callback methods that populate objects that map to SOAP-encoded XML data.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The method is abstract.

  Stores element and attribute names in a object.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Gets or sets a value that should be true for a SOAP 1.1 return value.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  An attribute name indicates an XML namespace if it takes the form xmlns:, where "key" is the namespace name.

  Determines whether an XML attribute name indicates an XML namespace.

  true if the XML attribute name indicates an XML namespace; otherwise, false.

  The name of an XML attribute.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  WSDL uses the namespace "http://schemas.xmlsoap.org/wsdl/".

  Sets the value of the XML attribute if it is of type arrayType from the Web Services Description Language (WSDL) namespace.

  An that may have the type wsdl:array.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlQualifiedName

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Makes the read the fully qualified name of the element where it is currently positioned.

  The fully qualified name of the current XML element.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Makes the read an XML end tag.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlReader To be added: an object of type 'System.Xml.XmlReader'

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Gets the object that is being used by .

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  The method is used by generated classes and should not be directly invoked.

  The uses an instance of the class to count when a read operation occurs. The count is incremented each time the reader calls an appropriate method, for example the method or the method.

  Gets the current count of the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Instructs the to read the current XML element if the element has a null attribute with the value true.

  true if the element has a null="true" attribute value and has been read; otherwise, false.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlQualifiedName

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Instructs the to read the fully qualified name of the element where it is currently positioned.

  A that represents the fully qualified name of the current XML element; otherwise, null if a null="true" attribute value is present.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Instructs the to read a simple, text-only XML element that could be null.

  The string value; otherwise, null.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added: an object of type 'string&' To be added To be added: an object of type 'bool' To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The method obtains the XML Schema data type by reading the xsi:type attribute of the multiRef element. The prefix xsi refers to the instance of the XML Schema namespace.

  SOAP encoding allows a unique XML element to appear once within a SOAP message as a multiRef element identified by an id attribute. The id value can be referenced multiple times using href attributes (or ref attributes in SOAP 1.2) in substitute elements.

  SOAP encoding is described in Section 5 of the SOAP 1.1 specification.

  Deserializes an object from a SOAP-encoded multiRef XML element.

  The value of the referenced element in the document.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  This signature of the method obtains the XML Schema data type of the multiRef element from the method parameters rather than by reading the xsi:type attribute. The prefix xsi refers to the instance of the XML Schema namespace.

  SOAP encoding allows a unique XML element to appear once within a SOAP message as a multiRef element identified by an id attribute. The id value can be referenced multiple times using href attributes (or ref attributes in SOAP 1.2) in substitute elements.

  SOAP encoding is described in Section 5 of the SOAP 1.1 specification.

  Deserializes an object from a SOAP-encoded multiRef XML element.

  The value of the referenced element in the document.

  The local name of the element's XML Schema data type. The namespace of the element's XML Schema data type.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  SOAP encoding allows a unique XML element to appear once within a SOAP message as a multiRef element identified by an id attribute. The id value can be referenced multiple times using href attributes (or ref attributes in SOAP 1.2) in substitute elements.

  SOAP encoding is described in Section 5 of the SOAP 1.1 specification.

  Deserializes objects from the SOAP-encoded multiRef elements in a SOAP message.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` To be added: an object of type 'string&' To be added To be added: an object of type 'object' To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` To be added: an object of type 'string' To be added: an object of type 'string' To be added: an object of type 'string&' To be added To be added: an object of type 'object' To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` `` To be added: an object of type 'string' To be added: an object of type 'string' To be added: an object of type 'bool' To be added: an object of type 'string&' To be added To be added: an object of type 'object' To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.IXmlSerializable ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Populates an object from its XML representation at the current location of the .

  An object that implements the interface with its members populated from the location of the .

  An that corresponds to the current position of the .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Produces the result of a call to the method appended to the input value.

  The result of call to the method appended to the input value.

  A string to prefix to the result of a call to the method.
- Method
  2.0.0.0
  4.0.0.0
  System.String `` `` To be added.

  Returns the result of a call to the method of the class, trimmed of white space if needed, and appended to the input value.

  The result of the read operation appended to the input value.

  A string that will be appended to. true if the result of the read operation should be trimmed; otherwise, false.
- Method
  2.0.0.0
  4.0.0.0
  System.Object `` To be added.

  Reads an XML element that allows null values (xsi:nil = 'true') and returns a generic value.

  A generic that represents a null XML value.

  The that represents the simple data type for the current location of the .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Gets the value of the XML node at which the is currently positioned.

  The value of the node as a .NET Framework value type, if the value is a simple XML Schema data type.

  The that represents the simple data type for the current location of the .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlDocument ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Instructs the to read an XML document root element at its current position.

  An that contains the root element that has been read.

  true if the method should read content only after reading the element's start element; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNode ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Instructs the to read the XML node at its current position.

  An that represents the XML node that has been read.

  true to read content only after reading the element's start element; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  SOAP encoding allows a unique XML element to appear once within a SOAP message as a multiRef element identified by an id attribute. The id value can be referenced multiple times using href attributes (or ref attributes in SOAP 1.2) in substitute elements.

  SOAP encoding is described in Section 5 of the SOAP 1.1 specification.

  Stores an object to be deserialized from a SOAP-encoded multiRef element.

  The object to be deserialized.
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.Assembly ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The method is static.

  Gets a dynamically generated assembly by name.

  A dynamically generated .

  The full name of the assembly.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Array `` `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Ensures that a given array, or a copy, is no larger than a specified length.

  The existing , if it is already small enough; otherwise, a new, smaller array that contains the original array's elements up to the size of.

  The array that is being checked. The maximum length of the array. The of the array's elements. true if null for the array, if present for the input array, can be returned; otherwise, a new, smaller array.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Instructs the to read the string value at its current position and return it as a base-64 byte array.

  A base-64 byte array; otherwise, null if the value of the parameter is true.

  true to return null; false to return a base-64 byte array.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The method is static.

  Produces a base-64 byte array from an input string.

  A base-64 byte array.

  A string to translate into a base-64 byte array.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Instructs the to read the string value at its current position and return it as a hexadecimal byte array.

  A hexadecimal byte array; otherwise, null if the value of the parameter is true.

  true to return null; false to return a hexadecimal byte array.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The method is static.

  Produces a hexadecimal byte array from an input string.

  A hexadecimal byte array.

  A string to translate into a hexadecimal byte array.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Char ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The method is static.

  Produces a object from an input string.

  A object.

  A string to translate into a object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DateTime ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The method is static.

  Produces a object from an input string.

  A object.

  A string to translate into a class object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DateTime ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The method is static.

  Produces a object from an input string.

  A object.

  A string to translate into a object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The method is static.

  Produces a numeric enumeration value from a string that consists of delimited identifiers that represent constants from the enumerator list.

  A long value that consists of the enumeration value as a series of bitwise OR operations.

  A string that consists of delimited identifiers where each identifier represents a constant from the set enumerator list. A that consists of the identifiers as keys and the constants as integral numbers. The name of the enumeration type.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DateTime ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The method is static.

  Produces a from a string that represents the time.

  A object.

  A string to translate into a object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The method is static.

  converts 4-digit hexadecimal UCS-2 codes into Unicode.

  Decodes an XML name.

  A decoded string.

  An XML name to be decoded.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The method is static.

  converts 4-digit hexadecimal UCS-2 codes into Unicode.

  Decodes an XML name.

  A decoded string.

  An XML name to be decoded.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  The protected members of are only intended for use by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The method is static.

  converts 4-digit hexadecimal UCS-2 codes into Unicode.

  Decodes an XML name.

  A decoded string.

  An XML name to be decoded.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  The protected members of are intended for use by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The method is static.

  converts 4-digit hexadecimal UCS-2 codes into Unicode.

  Decodes an XML name.

  A decoded string.

  An XML name to be decoded.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlQualifiedName ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  If a prefix is present, the method looks up the associated namespace for the current XML document and places the value in the object.

  Obtains an from a name that may contain a prefix.

  An that represents a namespace-qualified XML name.

  A name that may contain a prefix.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Add a handler method to the method to handle unknown attributes while the is executing its method.

  Raises an event for the current position of the .

  An object that the is attempting to deserialize, subsequently accessible through the property. An that represents the attribute in question.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added.

  Raises an event for the current position of the .

  An object that the is attempting to deserialize, subsequently accessible through the property. A that represents the attribute in question. A comma-delimited list of XML qualified names.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Raises an event for the current position of the .

  The that is being deserialized. The for which an event is raised.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added.

  Raises an event for the current position of the .

  An object that the is attempting to deserialize, subsequently accessible through the property. The for which an event is raised. A comma-delimited list of XML qualified names.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Raises an event for the current position of the .

  The object that is being deserialized.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Raises an event for the current position of the .

  The object being deserialized. A comma-delimited list of XML qualified names.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  SOAP encoding, as specified in Section 5 of the SOAP 1.1 specification, allows for elements referenced multiple times in a SOAP message (or optionally, just once) to be referred by an href attribute in the main message. An event occurs when such an element appears, but there is no href reference to it.

  Add a handler method to to provide custom handling for unreferenced objects while the executes its method.

  Raises an event for the current position of the .

  A unique string that is used to identify the unreferenced object, subsequently accessible through the property. An object that the is attempting to deserialize, subsequently accessible through the property.